Get currency
Returns the currency with the specified ID. Use the select query parameter to specify which fields to include.
Path parameters
idstringRequired
The currency ID.
Query parameters
selectstringOptional
Optional select statement to filter fields.
Responses
200
OK
application/json
Represents currency in exchange module.
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
The unique identifier of the currency.
namestringOptional
The name of the currency.
codestringOptional
The ISO code of currency
precisioninteger · int32Optional
Precision of the currency
statusstring · enumOptionalPossible values:
Currency status enumeration
404
Not Found
application/json
get/public/v1/exchange/currencies/{id}
GET /public/v1/exchange/currencies/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"icon": "text",
"revision": 1,
"id": "text",
"name": "text",
"code": "text",
"precision": 1,
"statistics": {
"sellerCount": 1,
"pairCount": 1
},
"status": "Active"
}Last updated
Was this helpful?